Subject: FVWM: Problems building Fvwm2 with or without Xpm's

From: "Denoid K. Tucker" <[email-masked]>
Date: Tue, 05 Mar 1996 00:10:04 -0800

Hello everyone.

I seem to have problems building Fvwm2.  Gcc gives me errors like:

	 "<somefile>.o(.text+0x1c6): undefined reference to `XpmReadFileToPixmap'"

The FAQ says that this error means that I don't have Xpm installed on my machine.  I believe I do have the it
installed because I have files in my /usr/X11R6/lib:

	libXpm.a
	libXpm.sa
	libXpm.so
	libXpm.so.4
	libXpm.so.4.3
	libXpm.so.4.7

I think these are the file I need but for some reason it doesn't work.  But when I change the "HasXpm" option in
the Fvwm.tmpl to 'NO' then when I compile, not only do I get the the error that I mentioned above, but I get
another also:

	"<somefile>.o(.text+0x1bf6): undefined reference to `PixmapPath'"

Has anyone had this problem or know what my problem is?  I'm open to any and all suggestions.
I'm confused since Fvwm1.24 has color icons and runs just fine on my machine now.

Thanks in advance.

Denoid.

P.S.

I'm running X11R6 on top of 1.3.20.
	i586 w/ 20mb RAM
	Slakeware 3.0
	Diamond SS64 w/2mb DRAM
-- 
_________________________________________________________
Denoid K. Tucker
[email-masked]
[email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].